@function iif($condition, $true-statement, $false-statement: null) {
  @if ($condition) {
    @return $true-statement;
  } @else {
    @return $false-statement;
  }
}

@function if-is-null($value, $true-statement, $false-statement: null) {
  @return iif($value == null, $true-statement, $false-statement);
}

@function if-is-not-null($value, $true-statement, $false-statement: null) {
  @return iif($value != null, $true-statement, $false-statement);
}

@function if-null($value, $default) {
  @return if-is-null($value, $default, $value);
}

@function if-is-string($value, $true-statement, $false-statement: null) {
  @return iif(type-of($value) == 'string', $true-statement, $false-statement);
}
